## org.codehaus.groovy.grails.plugins.web.filters
Class FiltersGrailsPlugin

    java.lang.Object
      org.codehaus.groovy.grails.plugins.web.filters.FiltersGrailsPlugin

All Implemented Interfaces:
  groovy.lang.GroovyObject

    public class FiltersGrailsPlugin

extends Object
implements groovy.lang.GroovyObject

Constructor Summary
`FiltersGrailsPlugin()`

Method Summary
`protected groovy.lang.MetaClass` `$getStaticMetaClass()`
`Object` `getArtefacts()`
`static Object` `getBEANS()`
`Object` `getDependsOn()`
`Object` `getDoWithApplicationContext()`
`Object` `getDoWithDynamicMethods()`
`Object` `getDoWithSpring()`
`Object` `getLog()`
`groovy.lang.MetaClass` `getMetaClass()`
`Object` `getOnChange()`
`Object` `getProperty(String property)`
`Object` `getVersion()`
`Object` `getWatchedResources()`
`Object` `invokeMethod(String method, Object arguments)`
`void` `setArtefacts(Object value)`
`void` `setDependsOn(Object value)`
`void` `setDoWithApplicationContext(Object value)`
`void` `setDoWithDynamicMethods(Object value)`
`void` `setDoWithSpring(Object value)`
`void` `setLog(Object value)`
`void` `setMetaClass(groovy.lang.MetaClass mc)`
`void` `setOnChange(Object value)`
`void` `setProperty(String property, Object value)`
`void` `setVersion(Object value)`
`void` `setWatchedResources(Object value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FiltersGrailsPlugin

    public FiltersGrailsPlugin()

Method Detail

### getVersion

    public Object getVersion()

### setVersion

    public void setVersion(Object value)

### getDependsOn

    public Object getDependsOn()

### setDependsOn

    public void setDependsOn(Object value)

### getArtefacts

    public Object getArtefacts()

### setArtefacts

    public void setArtefacts(Object value)

### getWatchedResources

    public Object getWatchedResources()

### setWatchedResources

    public void setWatchedResources(Object value)

### getLog

    public Object getLog()

### setLog

    public void setLog(Object value)

### getBEANS

    public static Object getBEANS()

### getDoWithSpring

    public Object getDoWithSpring()

### setDoWithSpring

    public void setDoWithSpring(Object value)

### getDoWithDynamicMethods

    public Object getDoWithDynamicMethods()

### setDoWithDynamicMethods

    public void setDoWithDynamicMethods(Object value)

### getDoWithApplicationContext

    public Object getDoWithApplicationContext()

### setDoWithApplicationContext

    public void setDoWithApplicationContext(Object value)

### getOnChange

    public Object getOnChange()

### setOnChange

    public void setOnChange(Object value)

### $getStaticMetaClass

    protected groovy.lang.MetaClass $getStaticMetaClass()

### getMetaClass

    public groovy.lang.MetaClass getMetaClass()

  Specified by:
    `getMetaClass` in interface `groovy.lang.GroovyObject`

### setMetaClass

    public void setMetaClass(groovy.lang.MetaClass mc)

  Specified by:
    `setMetaClass` in interface `groovy.lang.GroovyObject`

### invokeMethod

    public Object invokeMethod(String method,
                               Object arguments)

  Specified by:
    `invokeMethod` in interface `groovy.lang.GroovyObject`

### getProperty

    public Object getProperty(String property)

  Specified by:
    `getProperty` in interface `groovy.lang.GroovyObject`

### setProperty

    public void setProperty(String property,
                            Object value)

  Specified by:
    `setProperty` in interface `groovy.lang.GroovyObject`

Copyright (c) 2005-2009 The Grails project